libzypp 17.37.10

zypp::filter::ByStatus Class Reference

Filter solvables according to their status. More...

`#include <zypp/Filter.h>`

## Public Types
using | Predicate = bool (ResStatus::*)() const

## Public Member Functions
| ByStatus (Predicate pred_r=0)
bool | operator() (const PoolItem &pi_r) const
| Filter on PoolItem.
template<class TSolv>
bool | operator() (const TSolv &solv_r) const
| Filter fitting sat::Solvable/ResObject.

## Private Attributes
Predicate | _pred

## Detailed Description

Filter solvables according to their status.

Definition at line 142 of file Filter.h.

## Member Typedef Documentation

## ◆ Predicate

using zypp::filter::ByStatus::Predicate = bool (ResStatus::*)() const

Definition at line 145 of file Filter.h.

## Constructor & Destructor Documentation

## ◆ ByStatus()

zypp::filter::ByStatus::ByStatus | ( | Predicate | pred_r = 0 | ) |
| inline

Definition at line 148 of file Filter.h.

## Member Function Documentation

## ◆ operator()() [1/2]

bool zypp::filter::ByStatus::operator() | ( | const PoolItem & | pi_r | ) | const
| inline

Filter on PoolItem.

Definition at line 154 of file Filter.h.

## ◆ operator()() [2/2]

template<class TSolv>

bool zypp::filter::ByStatus::operator() | ( | const TSolv & | solv_r | ) | const
| inline

Filter fitting sat::Solvable/ResObject.

Definition at line 159 of file Filter.h.

## Member Data Documentation

## ◆ _pred

Predicate zypp::filter::ByStatus::_pred
| private

Definition at line 163 of file Filter.h.

The documentation for this class was generated from the following file:

- zypp/Filter.h